DOVEADM-PROCESS-STATUS(1)

NAME
doveadm-process-status - Show information about dovecot processes

SYNOPSIS

doveadm [GLOBAL OPTIONS] process status [service [...]]

DESCRIPTION

doveadm process status produces a table with a line for each process, containing the following details:

name

        the name of the process

pid

        the pid of the process

available_count

        the number of further clients that can connect to the process

total_count

        the number of connected clients

idle_start

        timestamp when the process entered the idle status, 0 if active

last_status_update

        timestamp of the latest update from the process

last_kill_sent

        timestamp of the latest SIGINT signal sent to the process

GLOBAL OPTIONS

Global doveadm(1) options:

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with -o.

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-f formatter

        Specifies the formatter for formatting the output. Supported formatters are:

        flow

            prints each line with key=value pairs.

json

    prints a JSON array of JSON objects.

pager

    prints each key: value pair on its own line and separates records with form feed character (^L).

tab

    prints a table header followed by tab separated value lines.

table

    prints a table header followed by adjusted value lines.

ARGUMENTS

service (optional)

        Filters the processes according to the specified service or services. By default, all dovecot processes are listed.

EXAMPLES

    doveadm process status

    name   pid    available_count total_count idle_start last_status_update last_kill_sent
    stats  132400 999             5           0          1685365436         0
    log    132356 971             29          0          1685352909         0
    config 132357 999             6           0          1685365436         0
    anvil  132355 1000            0           1685352908 1685352908         0

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: ⟨https://dovecot.org/bugreport.html⟩

SEE ALSO

doveadm(1), doveadm-service-status(1)